﻿using Obveze.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Obveze.Controllers
{
    public class RacunovodstvoController : Controller
    {
        private ObvezeEntities en = new ObvezeEntities();
        // GET: Racunovodstvo
        [Authorize(Roles = "Računovodja,Direktor,admin")]
        public ActionResult Index()
        {
            int leto = int.Parse(Session["Leto"].ToString());
            //IList<EditableRazpored> razpored = (IList<EditableRazpored>)System.Web.HttpContext.Current.Session["Razpored"];
            IList<ZaIzvoz> letneObveze = new List<ZaIzvoz>();//(IList<ZaIzvoz>)System.Web.HttpContext.Current.Session["ZaIzvoz"];
            DateTime danes = DateTime.Now;
            if (danes.Month == 9)
            {
                letneObveze = (
                                from dob in en.LetneObvezeZaposlenih.Where(e => e.Leto == leto &&(e.MesecOd ==null||e.MesecOd==9))
                                select new ZaIzvoz
                                {
                                    Id = dob.Id,
                                    Leto = dob.Leto,
                                    Zap = dob.Zaposleni.PriimekInIme,
                                    DelMesto = dob.VrstaObveze.TipObvezeIme,
                                    DeležVProcentih = dob.DeležVProcentih / 100,
                                    OsnovnaObveza = dob.OsnovnaObveza,
                                    DeležOsnovneObveze = dob.DeležOsnovneObveze / 100,
                                    PovečanObseg = dob.PovečanObseg,
                                    DeležPovečanegaObsega = dob.DeležPovečanegaObsega / 100,
                                    UreNaLeto = dob.UreNaLeto,
                                    UreNaTeden = dob.UreNaTeden,
                                    VrstniRed = dob.VrstniRed
                                }).ToList();

            }
            else
            {
                letneObveze = (
                                from dob in en.LetneObvezeZaposlenih.Where(e => e.Leto == leto && (e.MesecOd == null || e.MesecOd == 10))
                                select new ZaIzvoz
                                {
                                    Id = dob.Id,
                                    Leto = dob.Leto,
                                    Zap = dob.Zaposleni.PriimekInIme,
                                    DelMesto = dob.VrstaObveze.TipObvezeIme,
                                    DeležVProcentih = dob.DeležVProcentih / 100,
                                    OsnovnaObveza = dob.OsnovnaObveza,
                                    DeležOsnovneObveze = dob.DeležOsnovneObveze / 100,
                                    PovečanObseg = dob.PovečanObseg,
                                    DeležPovečanegaObsega = dob.DeležPovečanegaObsega / 100,
                                    UreNaLeto = dob.UreNaLeto,
                                    UreNaTeden = dob.UreNaTeden,
                                    VrstniRed = dob.VrstniRed
                                }).ToList();
            }
            //var DataSource = razpored.OrderBy(a => a.EnotaID).OrderBy(a => a.ZaposleniID).OrderBy(a => a.OddelekID);
            ViewBag.DataSource = letneObveze.OrderBy(e => e.Zap);
            return View();

        }

    }
    public class ZaIzvoz
    {
        public int Id { get; set; }
        public int Leto { get; set; }
        public string Zap { get; set; }
        public string DelMesto { get; set; }
        public Nullable<decimal> DeležVProcentih { get; set; }
        public Nullable<bool> OsnovnaObveza { get; set; }
        public Nullable<decimal> DeležOsnovneObveze { get; set; }
        public Nullable<bool> PovečanObseg { get; set; }
        public Nullable<decimal> DeležPovečanegaObsega { get; set; }
        public Nullable<decimal> UreNaLeto { get; set; }
        public Nullable<decimal> UreNaTeden { get; set; }
        public Nullable<int> VrstniRed { get; set; }
        public Nullable<int> MesecOd { get; set; }
        public Nullable<int> MesecDo { get; set; }
     }
}
